Should configure remove the file ERR_MESGS if it’s empty?

21 Nov 2019 18:51 - Anna Maria Bigatti

Status: Closed Start date: 21 Nov 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 1.55 hour

Target version: CoCoALib-0.99700 Spent time: 1.50 hour

Description

The configuration progress produces a file called ERR_MESGS which should contain, well, the error messages.

Should it be removed if the configuration produced none?

History

#1 - 22 Nov 2019 12:26 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Should configure always remove ERR_MESGS?

After looking quickly at the code, it seems that the file is used only to store error messages temporarily.  In particular, it is not a log file of what the

configure script has done.  If an error has occurred then the contents of ERR_MESGS is printed out by configure, so I see no point in keeping the file

after the script has ended.

#2 - 22 Nov 2019 13:57 - Anna Maria Bigatti

John Abbott wrote:

Should configure always remove ERR_MESGS?

 

sounds good to me

#3 - 22 Nov 2019 15:35 - John Abbott

- % Done changed from 10 to 50

I have changed my copy of configure.

I'll try it a few times before checking in...

#4 - 09 Jan 2020 12:27 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 50 to 90

- Estimated time set to 0.88 h
I think that this has been done now... I suppose someone should check properly. :-/

#5 - 10 Jan 2020 15:57 - John Abbott

I have checked and this has not yet been done completely.

It seems that the easy solution is to use the trap facility in bash.  I'll try soon, and check-in if it works.

#6 - 12 Feb 2020 15:57 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 0.88 h to 1.55 h

At some point I put in the trap command.  It seems to have worked OK for the last month or so.

Closing.
